Zilfu
API ReferenceWebhooks

Create a webhook

Registers a new webhook endpoint with an auto-generated signing secret.

POST
/spaces/{space}/webhooks
AuthorizationBearer <token>

In: header

Path Parameters

space*integer

The space ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://zilfu.app/api/spaces/0/webhooks" \  -H "Content-Type: application/json" \  -d '{    "url": "http://example.com",    "events": [      "post.published"    ]  }'
{}
{
  "message": "string"
}
{
  "message": "string"
}
{
  "message": "string"
}
{
  "message": "string",
  "errors": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  }
}